#
# spec file for package mono-core (Version 1.2.2)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bc bind-libs bind-utils binutils bison brp-check-internal bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-32bit glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt post-build-checks procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel


Name:           mono-core
BuildRequires:  bc glib2-devel xorg-x11-devel
License:        LGPL v2.1 or later
Group:          Development/Languages/Other
Summary:        A .NET Runtime Environment
Url:            http://go-mono.org/
Version:        1.2.2
Release:        12.27
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        mono-%{version}.tar.gz
# kdepatch patch won't work with the new relocatable Mono (Miguel)
#Patch1:       mono-0.29-kdepath.patch 
Patch16:        mono-warnings.patch
Patch21:        mono-monodis_cast.patch
Patch25:        mono-supportw.patch
Patch26:        mono-ppc.patch
Patch27:        mono-system.web_security_fix2_r69049.patch
Patch28:        bug-237611_nov237611-fix-s390.diff
Patch29:        mono-1.2.2-avoid-deadlock.diff
Patch30:        mono-mcs_biginteger_security_fix.patch
Patch31:        cve-2008-3422_1.2.2.diff
Patch32:        bug-383357.patch
Patch33:        bug418620_1.2.2.patch
Patch34:        mono-fix_race_condition_429997.patch
Patch35:        mono-fix_tls_get_len_419989.patch
Patch36:        ppc-stacksize.patch
Patch37:        cve-2009-0217.patch
ExclusiveArch:  %ix86 x86_64 ppc hppa armv4l sparc s390 ia64 s390x
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Recommends:     libgdiplus
Provides:       mono = %{version}-%{release}
Provides:       mono-ikvm = %{version}-%{release}
Obsoletes:      mono
Obsoletes:      mono-drawing
Obsoletes:      mono-cairo
Obsoletes:      mono-xml-relaxng
Obsoletes:      mono-posix
Obsoletes:      mono-ziplib
Obsoletes:      mono-ikvm
%ifarch s390 s390x
PreReq:         grep
%endif
%define __find_provides env MONO_PREFIX=%{buildroot}/usr /usr/lib/rpm/find-provides
%define __find_requires env MONO_PREFIX=%{buildroot}/usr /usr/lib/rpm/find-requires

%description
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.



Authors:
--------
    Miguel de Icaza <miguel@ximian.com>
    Paolo Molaro <lupus@ximian.com>
    Dietmar Maurer <dietmar@ximian.com>

%files
%defattr(-, root, root)
%doc AUTHORS COPYING.LIB ChangeLog NEWS README
%_bindir/mono
%_libdir/libmono.so*
%_mandir/man1/mono.1.gz
# manpages
%_mandir/man5/mono-config.5.gz
%_mandir/man1/mcs.1.gz
%_mandir/man1/certmgr.1.gz
%_mandir/man1/chktrust.1.gz
%_mandir/man1/setreg.1.gz
%_mandir/man1/gacutil.1.gz
%_mandir/man1/sn.1.gz
%_mandir/man1/mozroots.1.gz
# wrappers
%_bindir/certmgr
%_bindir/chktrust
%_bindir/gacutil
%_bindir/gmcs
%_bindir/mcs
%_bindir/mono-find-provides
%_bindir/mono-find-requires
%_bindir/mozroots
%_bindir/setreg
%_bindir/sn
# exes
%_prefix/lib/mono/1.0/certmgr.exe*
%_prefix/lib/mono/1.0/chktrust.exe*
%_prefix/lib/mono/1.0/gacutil.exe*
%_prefix/lib/mono/2.0/gmcs.exe*
%_prefix/lib/mono/1.0/mcs.exe*
%_prefix/lib/mono/1.0/mozroots.exe*
%_prefix/lib/mono/1.0/setreg.exe*
%_prefix/lib/mono/1.0/sn.exe*
# Directories
%dir %_prefix/lib/mono
%dir %_prefix/lib/mono/1.0
%dir %_prefix/lib/mono/2.0
%dir %_prefix/lib/mono/gac
%dir %_prefix/lib/mono/compat-1.0
%dir %_prefix/lib/mono/compat-2.0
%_prefix/lib/mono/gac/cscompmgd
%_prefix/lib/mono/1.0/cscompmgd.dll
%_prefix/lib/mono/2.0/cscompmgd.dll
%_prefix/lib/mono/gac/I18N.West
%_prefix/lib/mono/1.0/I18N.West.dll
%_prefix/lib/mono/2.0/I18N.West.dll
%_prefix/lib/mono/gac/I18N
%_prefix/lib/mono/1.0/I18N.dll
%_prefix/lib/mono/2.0/I18N.dll
%_prefix/lib/mono/gac/Mono.CompilerServices.SymbolWriter
%_prefix/lib/mono/1.0/Mono.CompilerServices.SymbolWriter.dll
%_prefix/lib/mono/2.0/Mono.CompilerServices.SymbolWriter.dll
%_prefix/lib/mono/gac/Mono.GetOptions
%_prefix/lib/mono/1.0/Mono.GetOptions.dll
%_prefix/lib/mono/2.0/Mono.GetOptions.dll
%_prefix/lib/mono/gac/Mono.Security
%_prefix/lib/mono/1.0/Mono.Security.dll
%_prefix/lib/mono/2.0/Mono.Security.dll
%_prefix/lib/mono/gac/System.Security
%_prefix/lib/mono/1.0/System.Security.dll
%_prefix/lib/mono/2.0/System.Security.dll
%_prefix/lib/mono/gac/System.Xml
%_prefix/lib/mono/1.0/System.Xml.dll
%_prefix/lib/mono/2.0/System.Xml.dll
%_prefix/lib/mono/gac/System
%_prefix/lib/mono/1.0/System.dll
%_prefix/lib/mono/2.0/System.dll
%_prefix/lib/mono/gac/System.Configuration
%_prefix/lib/mono/2.0/System.Configuration.dll
%_prefix/lib/mono/1.0/mscorlib.dll*
%_prefix/lib/mono/2.0/mscorlib.dll*
%dir /etc/mono
%dir /etc/mono/1.0
%dir /etc/mono/2.0
%config /etc/mono/config
%config /etc/mono/1.0/machine.config
%config /etc/mono/2.0/machine.config
%_prefix/lib/mono/gac/Mono.C5
%_prefix/lib/mono/2.0/Mono.C5.dll
# ikvm helper
%_prefix/%_lib/libikvm-native.so
%_prefix/lib/mono/gac/System.Drawing
%_prefix/lib/mono/1.0/System.Drawing.dll
%_prefix/lib/mono/2.0/System.Drawing.dll
%_libdir/libMonoPosixHelper.so*
%_prefix/lib/mono/gac/Mono.Posix
%_prefix/lib/mono/1.0/Mono.Posix.dll
%_prefix/lib/mono/2.0/Mono.Posix.dll
%_prefix/lib/mono/gac/Mono.Cairo
%_prefix/lib/mono/1.0/Mono.Cairo.dll
%_prefix/lib/mono/2.0/Mono.Cairo.dll
%_prefix/lib/mono/gac/ICSharpCode.SharpZipLib
%_prefix/lib/mono/1.0/ICSharpCode.SharpZipLib.dll
%_prefix/lib/mono/2.0/ICSharpCode.SharpZipLib.dll
%_prefix/lib/mono/compat-1.0/ICSharpCode.SharpZipLib.dll
%_prefix/lib/mono/compat-2.0/ICSharpCode.SharpZipLib.dll
%_prefix/lib/mono/gac/Microsoft.VisualC
%_prefix/lib/mono/1.0/Microsoft.VisualC.dll
%_prefix/lib/mono/2.0/Microsoft.VisualC.dll
%_prefix/lib/mono/gac/Commons.Xml.Relaxng
%_prefix/lib/mono/1.0/Commons.Xml.Relaxng.dll
%_prefix/lib/mono/2.0/Commons.Xml.Relaxng.dll
%_prefix/lib/mono/gac/CustomMarshalers
%_prefix/lib/mono/1.0/CustomMarshalers.dll
%_prefix/lib/mono/2.0/CustomMarshalers.dll
%_prefix/lib/mono/gac/OpenSystem.C
%_prefix/lib/mono/1.0/OpenSystem.C.dll
%_prefix/lib/mono/2.0/OpenSystem.C.dll

%post
%ifarch s390 s390x
if grep -q "machine = 9672" /proc/cpuinfo 2>/dev/null ; then
    # anchor for rebuild on failure
    echo "mono may not work correctly on G5"
fi
%endif
%debug_package

%package -n mono-jscript
License:        LGPL v2.1 or later
Summary:        JScript .NET support for Mono
Group:          Development/Languages/Other
Requires:       mono-core == %version-%release

%description -n mono-jscript
This package contains the JScript .NET compiler and language runtime.
This allows you to compile and run JScript.NET application and
assemblies.



Authors:
--------
    Miguel de Icaza <miguel@ximian.com>
    Paolo Molaro <lupus@ximian.com>
    Dietmar Maurer <dietmar@ximian.com>

%files -n mono-jscript
%defattr(-, root, root)
%_bindir/mjs
%_prefix/lib/mono/1.0/mjs.exe*
%_prefix/lib/mono/gac/Microsoft.JScript
%_prefix/lib/mono/1.0/Microsoft.JScript.dll
%_prefix/lib/mono/2.0/Microsoft.JScript.dll

%package -n mono-locale-extras
License:        LGPL v2.1 or later
Summary:        Extra locale information
Group:          Development/Languages/Other
Requires:       mono-core == %version-%release

%description -n mono-locale-extras
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Extra locale information.



Authors:
--------
    Miguel de Icaza <miguel@ximian.com>
    Paolo Molaro <lupus@ximian.com>
    Dietmar Maurer <dietmar@ximian.com>

%files -n mono-locale-extras
%defattr(-, root, root)
%_prefix/lib/mono/gac/I18N.MidEast
%_prefix/lib/mono/1.0/I18N.MidEast.dll
%_prefix/lib/mono/2.0/I18N.MidEast.dll
%_prefix/lib/mono/gac/I18N.Rare
%_prefix/lib/mono/1.0/I18N.Rare.dll
%_prefix/lib/mono/2.0/I18N.Rare.dll
%_prefix/lib/mono/gac/I18N.CJK
%_prefix/lib/mono/1.0/I18N.CJK.dll
%_prefix/lib/mono/2.0/I18N.CJK.dll
%_prefix/lib/mono/gac/I18N.Other
%_prefix/lib/mono/1.0/I18N.Other.dll
%_prefix/lib/mono/2.0/I18N.Other.dll

%package -n mono-data
License:        LGPL v2.1 or later
Summary:        Database connectivity for Mono
Group:          Development/Languages/Other
Requires:       mono-core == %version-%release
Obsoletes:      mono-ms-enterprise
Obsoletes:      mono-novell-directory
Obsoletes:      mono-directory

%description -n mono-data
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Database connectivity for Mono.



Authors:
--------
    Miguel de Icaza <miguel@ximian.com>
    Paolo Molaro <lupus@ximian.com>
    Dietmar Maurer <dietmar@ximian.com>

%files -n mono-data
%defattr(-, root, root)
%_prefix/lib/mono/1.0/sqlsharp.exe*
%_bindir/sqlsharp
%_mandir/man1/sqlsharp.1.gz
%_prefix/lib/mono/gac/System.Data
%_prefix/lib/mono/1.0/System.Data.dll
%_prefix/lib/mono/2.0/System.Data.dll
%_prefix/lib/mono/gac/Mono.Data
%_prefix/lib/mono/1.0/Mono.Data.dll
%_prefix/lib/mono/2.0/Mono.Data.dll
%_prefix/lib/mono/gac/Mono.Data.Tds
%_prefix/lib/mono/1.0/Mono.Data.Tds.dll
%_prefix/lib/mono/2.0/Mono.Data.Tds.dll
%_prefix/lib/mono/gac/Mono.Data.TdsClient
%_prefix/lib/mono/1.0/Mono.Data.TdsClient.dll
%_prefix/lib/mono/2.0/Mono.Data.TdsClient.dll
%_prefix/lib/mono/gac/System.EnterpriseServices
%_prefix/lib/mono/1.0/System.EnterpriseServices.dll
%_prefix/lib/mono/2.0/System.EnterpriseServices.dll
%_prefix/lib/mono/gac/Novell.Directory.Ldap
%_prefix/lib/mono/1.0/Novell.Directory.Ldap.dll
%_prefix/lib/mono/2.0/Novell.Directory.Ldap.dll
%_prefix/lib/mono/gac/System.DirectoryServices
%_prefix/lib/mono/1.0/System.DirectoryServices.dll
%_prefix/lib/mono/2.0/System.DirectoryServices.dll
%_prefix/lib/mono/gac/System.Transactions
%_prefix/lib/mono/2.0/System.Transactions.dll

%package -n mono-winforms
License:        LGPL v2.1 or later
Summary:        Mono's Windows Forms implementation
Group:          Development/Languages/Other
Requires:       mono-core == %version-%release
Provides:       mono-window-forms
Obsoletes:      mono-window-forms

%description -n mono-winforms
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Mono's Windows Forms implementation.



Authors:
--------
    Miguel de Icaza <miguel@ximian.com>
    Paolo Molaro <lupus@ximian.com>
    Dietmar Maurer <dietmar@ximian.com>

%files -n mono-winforms
%defattr(-, root, root)
%_prefix/lib/mono/gac/System.Windows.Forms
%_prefix/lib/mono/1.0/System.Windows.Forms.dll
%_prefix/lib/mono/2.0/System.Windows.Forms.dll
%_prefix/lib/mono/gac/Accessibility
%_prefix/lib/mono/1.0/Accessibility.dll
%_prefix/lib/mono/2.0/Accessibility.dll
%_prefix/lib/mono/gac/System.Design
%_prefix/lib/mono/1.0/System.Design.dll
%_prefix/lib/mono/2.0/System.Design.dll
%_prefix/lib/mono/gac/System.Drawing.Design
%_prefix/lib/mono/1.0/System.Drawing.Design.dll
%_prefix/lib/mono/2.0/System.Drawing.Design.dll

%package -n ibm-data-db2
License:        LGPL v2.1 or later
Summary:        Database connectivity for DB2
Group:          Development/Languages/Other
Requires:       mono-core == %version-%release

%description -n ibm-data-db2
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Database connectivity for DB2.



Authors:
--------
    Miguel de Icaza <miguel@ximian.com>
    Paolo Molaro <lupus@ximian.com>
    Dietmar Maurer <dietmar@ximian.com>

%files -n ibm-data-db2
%defattr(-, root, root)
%_prefix/lib/mono/gac/IBM.Data.DB2
%_prefix/lib/mono/1.0/IBM.Data.DB2.dll

%package -n mono-extras
License:        LGPL v2.1 or later
Summary:        Extra packages
Group:          Development/Languages/Other
Requires:       mono-core == %version-%release
Obsoletes:      mono-ms-extras

%description -n mono-extras
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Extra packages.



Authors:
--------
    Miguel de Icaza <miguel@ximian.com>
    Paolo Molaro <lupus@ximian.com>
    Dietmar Maurer <dietmar@ximian.com>

%files -n mono-extras
%defattr(-, root, root)
%_mandir/man1/mono-service.1.gz
%_bindir/mono-service
%_bindir/mono-service2
%_prefix/lib/mono/gac/mono-service
%_prefix/lib/mono/1.0/mono-service.exe*
%_prefix/lib/mono/2.0/mono-service.exe*
%_prefix/lib/mono/gac/System.Management
%_prefix/lib/mono/1.0/System.Management.dll
%_prefix/lib/mono/2.0/System.Management.dll
%_prefix/lib/mono/gac/System.Messaging
%_prefix/lib/mono/1.0/System.Messaging.dll
%_prefix/lib/mono/2.0/System.Messaging.dll
%_prefix/lib/mono/gac/System.ServiceProcess
%_prefix/lib/mono/1.0/System.ServiceProcess.dll
%_prefix/lib/mono/2.0/System.ServiceProcess.dll
%_prefix/lib/mono/gac/System.Configuration.Install
%_prefix/lib/mono/1.0/System.Configuration.Install.dll
%_prefix/lib/mono/2.0/System.Configuration.Install.dll
%_prefix/lib/mono/gac/Microsoft.Vsa
%_prefix/lib/mono/1.0/Microsoft.Vsa.dll
%_prefix/lib/mono/2.0/Microsoft.Vsa.dll

%package -n mono-data-sqlite
License:        LGPL v2.1 or later
Summary:        Database connectivity for Mono
Group:          Development/Languages/Other
Requires:       mono-core == %version-%release
Requires:       mono-data == %version-%release
Requires:       sqlite2

%description -n mono-data-sqlite
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Database connectivity for Mono.



Authors:
--------
    Miguel de Icaza <miguel@ximian.com>
    Paolo Molaro <lupus@ximian.com>
    Dietmar Maurer <dietmar@ximian.com>

%files -n mono-data-sqlite
%defattr(-, root, root)
%_prefix/lib/mono/gac/Mono.Data.SqliteClient
%_prefix/lib/mono/1.0/Mono.Data.SqliteClient.dll
%_prefix/lib/mono/2.0/Mono.Data.SqliteClient.dll

%package -n mono-data-sybase
License:        LGPL v2.1 or later
Summary:        Database connectivity for Mono
Group:          Development/Languages/Other
Requires:       mono-core == %version-%release
Requires:       mono-data == %version-%release

%description -n mono-data-sybase
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Database connectivity for Mono.



Authors:
--------
    Miguel de Icaza <miguel@ximian.com>
    Paolo Molaro <lupus@ximian.com>
    Dietmar Maurer <dietmar@ximian.com>

%files -n mono-data-sybase
%defattr(-, root, root)
%_prefix/lib/mono/gac/Mono.Data.SybaseClient
%_prefix/lib/mono/1.0/Mono.Data.SybaseClient.dll
%_prefix/lib/mono/2.0/Mono.Data.SybaseClient.dll

%package -n mono-web
License:        LGPL v2.1 or later
Summary:        Mono implementation of ASP.NET, Remoting and Web Services
Group:          Development/Languages/Other
Requires:       mono-core == %version-%release
Obsoletes:      mono-web-forms
Obsoletes:      mono-web-services
Obsoletes:      mono-remoting

%description -n mono-web
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Mono implementation of ASP.NET, Remoting and Web Services.



Authors:
--------
    Miguel de Icaza <miguel@ximian.com>
    Paolo Molaro <lupus@ximian.com>
    Dietmar Maurer <dietmar@ximian.com>

%files -n mono-web
%defattr(-, root, root)
%_prefix/lib/mono/gac/Mono.Http
%_prefix/lib/mono/1.0/Mono.Http.dll
%_prefix/lib/mono/2.0/Mono.Http.dll
%_prefix/lib/mono/gac/System.Runtime.Remoting
%_prefix/lib/mono/1.0/System.Runtime.Remoting.dll
%_prefix/lib/mono/2.0/System.Runtime.Remoting.dll
%_prefix/lib/mono/gac/System.Web
%_prefix/lib/mono/1.0/System.Web.dll
%_prefix/lib/mono/2.0/System.Web.dll
%_prefix/lib/mono/gac/System.Runtime.Serialization.Formatters.Soap
%_prefix/lib/mono/1.0/System.Runtime.Serialization.Formatters.Soap.dll
%_prefix/lib/mono/2.0/System.Runtime.Serialization.Formatters.Soap.dll
%_prefix/lib/mono/gac/System.Web.Services
%_prefix/lib/mono/1.0/System.Web.Services.dll
%_prefix/lib/mono/2.0/System.Web.Services.dll
# exes
%_prefix/lib/mono/1.0/disco.exe*
%_prefix/lib/mono/1.0/soapsuds.exe*
%_prefix/lib/mono/1.0/wsdl.exe*
%_prefix/lib/mono/2.0/wsdl.exe*
%_prefix/lib/mono/1.0/xsd.exe*
# shell wrappers
%_bindir/disco
%_bindir/soapsuds
%_bindir/wsdl
%_bindir/wsdl2
%_bindir/xsd
# man pages
%_mandir/man1/disco.1.gz
%_mandir/man1/soapsuds.1.gz
%_mandir/man1/wsdl.1.gz
%_mandir/man1/xsd.1.gz
%config /etc/mono/browscap.ini
%config /etc/mono/1.0/DefaultWsdlHelpGenerator.aspx
%config /etc/mono/2.0/DefaultWsdlHelpGenerator.aspx
%config /etc/mono/2.0/web.config

%package -n mono-data-oracle
License:        LGPL v2.1 or later
Summary:        Database connectivity for Mono
Group:          Development/Languages/Other
Requires:       mono-core == %version-%release
Requires:       mono-data == %version-%release

%description -n mono-data-oracle
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Database connectivity for Mono.



Authors:
--------
    Miguel de Icaza <miguel@ximian.com>
    Paolo Molaro <lupus@ximian.com>
    Dietmar Maurer <dietmar@ximian.com>

%files -n mono-data-oracle
%defattr(-, root, root)
%_prefix/lib/mono/gac/System.Data.OracleClient
%_prefix/lib/mono/1.0/System.Data.OracleClient.dll
%_prefix/lib/mono/2.0/System.Data.OracleClient.dll

%package -n mono-data-postgresql
License:        LGPL v2.1 or later
Summary:        Database connectivity for Mono
Group:          Development/Languages/Other
Requires:       mono-core == %version-%release
Requires:       mono-data == %version-%release

%description -n mono-data-postgresql
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Database connectivity for Mono.



Authors:
--------
    Miguel de Icaza <miguel@ximian.com>
    Paolo Molaro <lupus@ximian.com>
    Dietmar Maurer <dietmar@ximian.com>

%files -n mono-data-postgresql
%defattr(-, root, root)
%_prefix/lib/mono/gac/Npgsql
%_prefix/lib/mono/1.0/Npgsql.dll
%_prefix/lib/mono/2.0/Npgsql.dll

%package -n bytefx-data-mysql
License:        LGPL v2.1 or later
Summary:        Database connectivity for Mono
Group:          Development/Languages/Other
Requires:       mono-core == %version-%release
Requires:       mono-data == %version-%release

%description -n bytefx-data-mysql
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Database connectivity for Mono.



Authors:
--------
    Miguel de Icaza <miguel@ximian.com>
    Paolo Molaro <lupus@ximian.com>
    Dietmar Maurer <dietmar@ximian.com>

%files -n bytefx-data-mysql
%defattr(-, root, root)
%_prefix/lib/mono/gac/ByteFX.Data
%_prefix/lib/mono/1.0/ByteFX.Data.dll
%_prefix/lib/mono/2.0/ByteFX.Data.dll

%package -n mono-nunit
License:        LGPL v2.1 or later
Summary:        NUnit Testing Framework
Group:          Development/Languages/Other
Requires:       mono-core == %version-%release
# No idea why this Requires is here... removing (bnc #210224)
#Requires:       glib2-devel

%package -n mono-data-firebird
License:        LGPL v2.1 or later
Summary:        Database connectivity for Mono
Group:          Development/Languages/Other
Requires:       mono-core == %version-%release
Requires:       mono-data == %version-%release

%description -n mono-data-firebird
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Database connectivity for Mono.



Authors:
--------
    Miguel de Icaza <miguel@ximian.com>
    Paolo Molaro <lupus@ximian.com>
    Dietmar Maurer <dietmar@ximian.com>

%files -n mono-data-firebird
%defattr(-, root, root)
%_prefix/lib/mono/gac/FirebirdSql.Data.Firebird
%_prefix/lib/mono/1.0/FirebirdSql.Data.Firebird.dll
#%_prefix/lib/mono/2.0/FirebirdSql.Data.Firebird.dll

%description -n mono-nunit
NUnit is a unit-testing framework for all .Net languages.  Initially
ported from JUnit, the current release, version 2.2,  is the fourth
major release of this  Unit based unit testing tool for Microsoft .NET.
It is written entirely in C# and  has been completely redesigned to
take advantage of many .NET language		 features, for example
custom attributes and other reflection related capabilities. NUnit
brings xUnit to all .NET languages.



Authors:
--------
    Miguel de Icaza <miguel@ximian.com>
    Paolo Molaro <lupus@ximian.com>
    Dietmar Maurer <dietmar@ximian.com>

%files -n mono-nunit
%defattr(-, root, root)
%_prefix/bin/nunit-console
%_prefix/bin/nunit-console2
%_prefix/lib/mono/1.0/nunit-console.exe*
%_prefix/lib/mono/2.0/nunit-console.exe*
%_prefix/lib/mono/1.0/nunit.core.dll
%_prefix/lib/mono/1.0/nunit.framework.dll
%_prefix/lib/mono/1.0/nunit.util.dll
%_prefix/lib/mono/1.0/nunit.mocks.dll
%_prefix/lib/mono/gac/nunit.core
%_prefix/lib/mono/gac/nunit.framework
%_prefix/lib/mono/gac/nunit.util
%_prefix/lib/mono/gac/nunit.mocks
%_libdir/pkgconfig/mono-nunit.pc

%package -n mono-devel
License:        LGPL v2.1 or later
Summary:        Mono development tools
Group:          Development/Languages/Other
Requires:       mono-core == %version-%release
Requires:       glib2-devel

%description -n mono-devel
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. This package contains compilers and
other tools needed to develop .NET applications.

Mono development tools.



Authors:
--------
    Miguel de Icaza <miguel@ximian.com>
    Paolo Molaro <lupus@ximian.com>
    Dietmar Maurer <dietmar@ximian.com>

%files -n mono-devel
%defattr(-, root, root)
# libs
%_libdir/libmono.a
%_libdir/libmono.la
# exes
%_prefix/lib/mono/1.0/makecert.exe*
%_prefix/lib/mono/1.0/al.exe*
%_prefix/lib/mono/1.0/caspol.exe*
%_prefix/lib/mono/1.0/cert2spc.exe*
%_prefix/lib/mono/1.0/dtd2xsd.exe*
%_prefix/lib/mono/1.0/genxs.exe*
%_prefix/lib/mono/1.0/ictool.exe*
%_prefix/lib/mono/1.0/ilasm.exe*
%_prefix/lib/mono/2.0/ilasm.exe*
%_prefix/lib/mono/1.0/mkbundle.exe*
%_prefix/lib/mono/2.0/mkbundle.exe*
%_prefix/lib/mono/1.0/monop.exe*
%_prefix/lib/mono/2.0/monop.exe*
%_prefix/lib/mono/1.0/permview.exe*
%_prefix/lib/mono/1.0/resgen.exe*
%_prefix/lib/mono/2.0/resgen.exe*
%_prefix/lib/mono/1.0/secutil.exe*
%_prefix/lib/mono/2.0/sgen.exe*
%_prefix/lib/mono/1.0/signcode.exe*
%_prefix/lib/mono/1.0/prj2make.exe*
%_prefix/lib/mono/1.0/macpack.exe*
%_prefix/lib/mono/1.0/mono-shlib-cop.exe*
%_prefix/lib/mono/2.0/xbuild.exe*
%_prefix/lib/mono/1.0/dtd2rng.exe*
%_prefix/lib/mono/1.0/mono-xmltool.exe*
# man pages
%_mandir/man1/cert2spc.1.gz
%_mandir/man1/dtd2xsd.1.gz
%_mandir/man1/genxs.1.gz
%_mandir/man1/ilasm.1.gz
%_mandir/man1/macpack.1.gz
%_mandir/man1/makecert.1.gz
%_mandir/man1/mkbundle.1.gz
%_mandir/man1/monodis.1.gz
%_mandir/man1/monop.1.gz
%_mandir/man1/mono-shlib-cop.1.gz
%_mandir/man1/permview.1.gz
%_mandir/man1/prj2make.1.gz
%_mandir/man1/secutil.1.gz
%_mandir/man1/sgen.1.gz
%_mandir/man1/signcode.1.gz
%_mandir/man1/al.1.gz
%_mandir/man1/mono-xmltool.1.gz
# Shell wrappers
%_bindir/al
%_bindir/caspol
%_bindir/cert2spc
%_bindir/dtd2xsd
%_bindir/dtd2rng
%_bindir/genxs
%_bindir/ilasm
%_bindir/ilasm2
%_bindir/macpack
%_bindir/makecert
%_bindir/mkbundle
%_bindir/mkbundle2
%_bindir/monodiet
%_bindir/monodis
%_bindir/monop
%_bindir/monop2
%_bindir/mono-shlib-cop
%_bindir/mono-xmltool
%_bindir/pedump
%_bindir/permview
%_bindir/prj2make
%_bindir/resgen
%_bindir/resgen2
%_bindir/secutil
%_bindir/sgen
%_bindir/signcode
%_bindir/xbuild
%_prefix/lib/mono/xbuild
%_prefix/lib/mono/gac/PEAPI
%_prefix/lib/mono/1.0/PEAPI.dll
%_prefix/lib/mono/2.0/PEAPI.dll
%_prefix/lib/mono/gac/Microsoft.Build.Tasks
%_prefix/lib/mono/2.0/Microsoft.Build.Tasks.dll
%_prefix/lib/mono/gac/Microsoft.Build.Framework
%_prefix/lib/mono/2.0/Microsoft.Build.Framework.dll
%_prefix/lib/mono/gac/Microsoft.Build.Utilities
%_prefix/lib/mono/2.0/Microsoft.Build.Utilities.dll
%_prefix/lib/mono/gac/Microsoft.Build.Engine
%_prefix/lib/mono/2.0/Microsoft.Build.Engine.dll
%_bindir/monograph
%_prefix/include/mono
%_libdir/libmono-profiler-cov.*
%_libdir/libmono-profiler-aot.*
%_libdir/pkgconfig/mono.pc
%_libdir/pkgconfig/dotnet.pc
%_libdir/pkgconfig/mono-cairo.pc
%_mandir/man1/monoburg.*
%_prefix/share/mono/cil/cil-opcodes.xml
# dirs
%dir %_prefix/share/mono
%dir %_prefix/share/mono/cil
#%package -n mono-complete
#Summary:	This package contains all runtime Mono packages
#Group:		Development/Tools
#Requires:	bytefx-data-mysql = %version-%release
#Requires:	ibm-data-db2 = %version-%release
#Requires:	mono-basic = %version-%release
#Requires:	mono-core = %version-%release
#Requires:	mono-data = %version-%release
#Requires:	mono-data-oracle = %version-%release
#Requires:	mono-data-postgresql = %version-%release
#Requires:	mono-data-sqlite = %version-%release
#Requires:	mono-data-sybase = %version-%release
#Requires:	mono-extras = %version-%release
#Requires:	mono-ikvm = %version-%release
#Requires:	mono-locale-extras = %version-%release
#Requires:	mono-web = %version-%release
#Requires:	mono-winforms = %version-%release
#
#%description -n mono-complete
#This package contains all runtime Mono packages
#
#%files -n mono-complete
#%defattr(-, root, root)

%prep
%setup -q -n mono-%{version}
%patch16
%patch21
%patch25
%patch26
%patch27
%patch28
%patch29
%patch30
%patch31
%patch32
%patch33
%patch34 -p1
%patch35 -p1
%ifarch ppc
# Needs more stackspace to actually run the runtime
%patch36
%endif
%patch37

%build
rm -f libgc/libtool.m4
autoreconf --force --install
autoreconf --force --install libgc
export CFLAGS="$RPM_OPT_FLAGS -DKDE_ASSEMBLIES='\"/opt/kde3/%{_lib}\"' -fno-strict-aliasing"
./configure \
	--host=%{_host} \
	--build=%{_build} \
	--target=%{_target_platform} \
	--program-prefix= \
	--mandir=/usr/share/man \
	--infodir=/usr/share/info \
  --prefix=/usr \
  --libdir=%{_libdir} \
  --libexecdir=%{_prefix}/lib \
  --mandir=%{_mandir} \
  --sysconfdir=/etc \
  --with-jit=yes \
  --with-ikvm=yes \
  --with-sigaltstack=no
make

%install
#
make DESTDIR="$RPM_BUILD_ROOT" install
rm $RPM_BUILD_ROOT/usr/%_lib/libMonoPosixHelper.a
rm $RPM_BUILD_ROOT/usr/%_lib/libMonoPosixHelper.la
rm -f $RPM_BUILD_ROOT/usr/%_lib/libikvm-native.a
rm -f $RPM_BUILD_ROOT/usr/%_lib/libikvm-native.la
rm -fr $RPM_BUILD_ROOT/usr/lib/mono/gac/Mono.Security.Win32/[12]*
rm $RPM_BUILD_ROOT/usr/lib/mono/1.0/Mono.Security.Win32.dll
rm $RPM_BUILD_ROOT/usr/lib/mono/2.0/Mono.Security.Win32.dll
rm $RPM_BUILD_ROOT/usr/share/libgc-mono/README
rm $RPM_BUILD_ROOT/usr/share/libgc-mono/README.DGUX386
rm $RPM_BUILD_ROOT/usr/share/libgc-mono/README.Mac
rm $RPM_BUILD_ROOT/usr/share/libgc-mono/README.MacOSX
rm $RPM_BUILD_ROOT/usr/share/libgc-mono/README.OS2
rm $RPM_BUILD_ROOT/usr/share/libgc-mono/README.amiga
rm $RPM_BUILD_ROOT/usr/share/libgc-mono/README.arm.cross
rm $RPM_BUILD_ROOT/usr/share/libgc-mono/README.autoconf
rm $RPM_BUILD_ROOT/usr/share/libgc-mono/README.changes
rm $RPM_BUILD_ROOT/usr/share/libgc-mono/README.contributors
rm $RPM_BUILD_ROOT/usr/share/libgc-mono/README.cords
rm $RPM_BUILD_ROOT/usr/share/libgc-mono/README.darwin
rm $RPM_BUILD_ROOT/usr/share/libgc-mono/README.dj
rm $RPM_BUILD_ROOT/usr/share/libgc-mono/README.environment
rm $RPM_BUILD_ROOT/usr/share/libgc-mono/README.ews4800
rm $RPM_BUILD_ROOT/usr/share/libgc-mono/README.hp
rm $RPM_BUILD_ROOT/usr/share/libgc-mono/README.linux
rm $RPM_BUILD_ROOT/usr/share/libgc-mono/README.macros
rm $RPM_BUILD_ROOT/usr/share/libgc-mono/README.rs6000
rm $RPM_BUILD_ROOT/usr/share/libgc-mono/README.sgi
rm $RPM_BUILD_ROOT/usr/share/libgc-mono/README.solaris2
rm $RPM_BUILD_ROOT/usr/share/libgc-mono/README.uts
rm $RPM_BUILD_ROOT/usr/share/libgc-mono/README.win32
rm $RPM_BUILD_ROOT/usr/share/libgc-mono/barrett_diagram
rm $RPM_BUILD_ROOT/usr/share/libgc-mono/debugging.html
rm $RPM_BUILD_ROOT/usr/share/libgc-mono/gc.man
rm $RPM_BUILD_ROOT/usr/share/libgc-mono/gcdescr.html
rm $RPM_BUILD_ROOT/usr/share/libgc-mono/gcinterface.html
rm $RPM_BUILD_ROOT/usr/share/libgc-mono/leak.html
rm $RPM_BUILD_ROOT/usr/share/libgc-mono/scale.html
rm $RPM_BUILD_ROOT/usr/share/libgc-mono/simple_example.html
rm $RPM_BUILD_ROOT/usr/share/libgc-mono/tree.html
rm $RPM_BUILD_ROOT/usr/share/man/man1/cilc.1
rm $RPM_BUILD_ROOT/usr/share/man/man1/monostyle.1
rm $RPM_BUILD_ROOT/usr/share/man/man1/oldmono.1
rm $RPM_BUILD_ROOT/usr/share/man/man1/mint.1
# Things we don't ship.
# cilc
rm $RPM_BUILD_ROOT/%_bindir/cilc
rm $RPM_BUILD_ROOT/usr/lib/mono/1.0/cilc*
# jay
rm $RPM_BUILD_ROOT/%_bindir/jay
rm -R $RPM_BUILD_ROOT/usr/share/jay
rm $RPM_BUILD_ROOT/usr/share/man/man1/jay.1
rm $RPM_BUILD_ROOT/usr/lib/mono/1.0/CorCompare.exe
rm $RPM_BUILD_ROOT/usr/lib/mono/1.0/browsercaps-updater.exe*
rm $RPM_BUILD_ROOT/usr/lib/mono/1.0/mono-api-diff.exe
rm $RPM_BUILD_ROOT/usr/lib/mono/1.0/mono-api-info.exe
rm $RPM_BUILD_ROOT/usr/lib/mono/2.0/mono-api-info.exe
# New files to delete in 1.1.9.2
rm -f $RPM_BUILD_ROOT/usr/%_lib/libMonoSupportW.a
rm -f $RPM_BUILD_ROOT/usr/%_lib/libMonoSupportW.la
rm -f $RPM_BUILD_ROOT/usr/%_lib/libMonoSupportW.so
# 1.1.17 updates:
# This file moved to mono-basic
rm -f $RPM_BUILD_ROOT/usr/bin/mbas

%clean
rm -rf ${RPM_BUILD_ROOT}

%changelog
* Wed Jul 15 2009 - ajorgensen@novell.com
- Patch for CVE-2009-0217, bnc#521184
* Fri Apr 17 2009 - meissner@suse.de
- Increase stacksize for PowerPC to make it build on newer kernels.
* Tue Sep 30 2008 - cgardner@suse.de
- Patch for bnc#429997 (back port fix for race condition)
- Patch for bnc#419989 (fix for crash on x86_64 amd guest in xen)
* Wed Aug 27 2008 - ajorgensen@novell.com
- Patch for bnc#383357 (affects iFolder)
- Patch for bnc#418744 (Mono Sys.Web Header Injection attack)
* Thu Aug 14 2008 - ajorgensen@novell.com
- Patch for CVE-2008-3422, bnc#413534
* Sat Apr 26 2008 - wberrier@suse.de
- Add xorg-x11-devel to BuildRequires to fix the libX11.so.6
  dllmap in etc/mono/config. (bnc#339712)
* Thu Sep 20 2007 - wberrier@suse.de
- BigInteger Security fix: bnc #310044
 -MaintenanceTracker-13335
* Thu May 17 2007 - kukuk@suse.de
- Avoid deadlock in the marshalling code. [#234345]
* Thu Apr 19 2007 - wberrier@suse.de
- Move libgdiplus requirement to mono-core, since that is where the
  actual dependency is (System.Drawing).
- Change 'Requires' to 'Recommends' for bnc #235405
* Wed Mar 14 2007 - wberrier@suse.de
- Disable sigaltstack
  (The garbage collector does not know about the sigaltstack,
  so there is a window in which the GC will not be able to scan
  valid pointers, resulting in possible crashes in the runtime)
* Tue Mar 06 2007 - wberrier@suse.de
- atomic fixes from Michael Matz for for s390 and s390x
  ( bnc #237611 and bxc #80892 )
* Wed Dec 06 2006 - wberrier@suse.de
- System.Web Source fix #2 (bnc #225179)
- * HttpRequest.cs: call MapPath on the HttpWorkerRequest so that if
  FilePath is changed we get the new physical path, not the one of the
  original request. Fixes bug bxc #80152.
* Sat Dec 02 2006 - wberrier@suse.de
- Update to 1.2.2 (Fate #301111)
 -Serious bug fix in compiler (anonymous methods)
 -Additional 2.0 APIs implemented for Windows.Forms
 -Removal of many incorrect MonoTODOs and implemented many methods
  that were throwing not implemented exceptions
- Changes in 1.2.1
 -Thread.Interrupt is implemented
 -Generics support in Web Services
 -Web Services update for 2.0 api
 -ASP.Net 2.0 updates
 -Several Winforms blockers fixed
 -ADO.Net 2.0 updates
 -Support for more type converters
 -Process launching supports supports open special files in addition
  to launch programs (ie: xdg-open, gnome-open, or kfmclient)
 -System.Drawing UTF8 to UCS2 conversion fixed
 -2.0 api updates to X.509 related classes
- Changes in 1.2
 -Serialization Callbacks
 -Machine-level settings now available in registry
 -Winforms completion
* Fri Dec 01 2006 - wberrier@suse.de
- Thread safety fixes for rug/zmd (bnc #221277)
- System.Web Source fix (bnc #225179)
* Tue Nov 14 2006 - meissner@suse.de
- Disable executable stack option. #65536
* Sat Oct 21 2006 - wberrier@suse.de
- Remove glib2-devel from mono-nunit, not sure why it was ever there
  (bnc #210224)
- Updated to 1.1.18.1
 -removed upstream patches
 -C# Generics fixes
 -IO Layer changes to ease windows porting migration
 -Security updates: major speed improvements
 -Lots of Winforms fixes and updates
 -Merged source for mcs and gmcs
 -Performance tuning
* Thu Sep 28 2006 - wberrier@suse.de
- Security fix for bnc #205084 VUL-0
- TempFileCollection.cs: Create files in a temporary subdirectory,
  for security reasons.
- CodeCompiler.cs: Let TempFileCollection choose the temp dir.
* Fri Sep 01 2006 - wberrier@suse.de
- Update to 1.1.17.1 - Minor bugfix update
- Fix HttpListener, it was failing with a few post operations
- mono-service is now installed into the GAC, the recent changes
  broke applications that created new AppDomains
- Fix a race condition on array new
* Tue Aug 29 2006 - wberrier@suse.de
- add s390 backchain patch
- s390 warnings patch
- remove mono-basic package
- update filelist for CustomMarshalers
- Update to 1.1.17
 - Windows.Forms: Printing is now supported.
 - Basic COM support has been integrated.
 - FileSystem will now use inotify directly on systems that
  support it without having to go through an external library like
  FAM or Gamin [Gonzalo Paniagua]
 - 2.0 support for asynchronous reads and writes from the
  Process class is now supported [Gonzalo]
 - Fxied Loading as a Shared Library
 - Mono.Cairo bindings now supports a DirectFB surface now [Alp Toker]
 - Process now support the async io handling [Gonzalo Paniagua]
 - String.Normalize is included [Atsushi Enomoto]
 - ADO.NET 2.0 updates, included an implementation for
  SqlConnection.GetSchema (Nagappan, Nagappan).
 - Registry Updated to the 2.0 API. [Miguel de Icaza]
 - Support for splitting the registry across user and system level
  settings. [Gert Driesen]
 - Support for X.509 client certificates
  [Hubert Fongarnand, Sebastien Pouliot]
 - SN accepts password-protected PKCS#12/PFX files to strongname
  assemblies. This feature is enabled in both 1.x and 2.0 profiles
  [Sebastien Pouliot]
 - CodeDOM JScriptCodeProvider code JavaScript code is now
  included [Akiramei]
 - An EventLog implementation is available on both Unix and
  Windows by setting MONO_EVENTLOG_TYPE
 - COM Interop: Basic support for Runtime Callable Wrappers
  (RCWs) [Jon Chambers]
 - Sqlite now exposes a Version property to detect which underlying
  database is available (2.x or 3.x) [Joshua Tauberer]
 - Mono.Posix now features an abstract Unix end point in addition
  to Unix End Points [Alp Toker].
 - Fixed XmlSchemaSet and XmlSchemaCollection problem across
  multiple namespaces [Atsushi Enomoto]
 - Important Bug fixs:
  - Dynamic linking of Mono is now possible in applications
  that were using the TLS (open office) [Zoltan Varga]
  - Newly created AppDomains no longer inherit the list of
  loaded assemblies from the main domain [Lluis Sánchez]
  - A number of missing pieces of System.IO.Ports have been
  implemented (ReadChar, ReadLine, BytesToRead, BytesToWrite,
  ReadTo, return USB tty devices) [Miguel de Icaza]
  - ASP.NET Cache will now check dependencies (79002)
  [Gonzalo Paniagua]
  - Updated the Posgress data bindings to RC3
  [Francisco Figueiredo].
- --------
- Satisfy some compiler warnings with more warnings patches
- Update filelists
- Add sigaltstack configure option for performance
- Update to 1.1.16.1
- Sending the QUIT signal to a running Mono process will produce
  a stack trace of each thread
- Updated Boehm garbage collector
- Large file uploads are now supported
- Updated Master Pages, nested pages and System.Configuration
- Improved performance for XML
- Added support for abbreviated handshakes
- Fixed some possible deadlocks while negotiating
- basic implementation of System.Transactions
- implemented assembly unloading when an appdomain is released
- C# Compiler bug fixes:
 - #78020, #77916, #77961, #78048, #77966
 - Improved the generated output for array initialization
 - #77958, #77929, #77954
 - #77002
- XMLSerialization implemented for XmlSchemas
- improved performance of Int32.ToString()
- major updates to System.Windows.Forms and System.Drawing
- inline optimization enabled by default
- Long standing debugging line numbers bug fixed
* Fri Jun 16 2006 - wberrier@suse.de
  Changes from Neale Ferguson <neale@sinenomine.net> from trunk in order
  to fix bnc #179080 (zmd issue on s390x)
- * atomic.h: Fix atomic operations for s390x (not really broken
  but changed to use full 64-bit opcodes).
- * atomic.h: Fix atomic exchange pointer operations for s390x - these
  were broken as they used 32-bit instructions rather than their 64-bit
  versions.
- * s390x-codegen.h: Fix immediate checks.
* Mon May 15 2006 - wberrier@suse.de
- Revert change to mono-find-provides (59882) so that Mono apps will
  not have to depend on being able to find dependent assemblies in
  the gac.
* Thu May 11 2006 - wberrier@suse.de
-Add provides for mono-core for assemblies not in the gac, which
  other packages depend on.
-Update to 1.1.13.8 from stable branch
-Assembler:
 -Fix assembler bug that tried to sign netmodules.
 -Assembler will now report a bug if two identical labels are declared
  on the same methods
 -On 2.0, support the "property" directive.
-ASP.NET:
 -Make sure application start event is run before the request is
  processed.
 -Dont reset query string in Execute (78177).
 -Make sure that we can read a file before trasmitting it (fixes
  crash).
 -Added two tests (Bug 78101, DataSourceID).
 -Do not fail on events that do not derive from EventHandler,
  patch from Matthew Metnetsky.
 -Render some attributes inside span, not div tags (71251).
 -Fix searching of control by DataSourceID.
-System.NET:
 -Allow posts of size zero (#78316)
 -Fix for proxy authentication over HTTPS, for Zen team (78150).
-Core:
 -Do not capture compressed stack, this feature is not yet
  supported, fixes a crasher bug in ExecutionContext.
 -Add FileOptions, necessary for IronPython.
 -Fix incorrect buffer reading from console (78218).
-Mono.Security:
 -Enable abbreviated handshake for SSL3 (Zen)
 -Deal with emtpy master secrets (78085)
-Tools:
 -Fix mono-find-provides, to not list private copies of
  assemblies (fixes conflict of MonoDevelop and third party
  rpms).
-Runtime:
 -Fix for 78035.
 -Avoids a null dereferences in metadata, IPHostEntry
 -x86-64: Fix handling of MONO_INST_GENERICINST
 -Memory leak fix, when shutting down threads, clean the TLS:
  77470.
 -Handle multiple leave statements in a try/catch, 78024.
-Compilers:
 -Flag VB as unsupported.
* Mon Apr 24 2006 - wberrier@suse.de
- Bug fixes for Zenworks (78089, 78150, amd64 signal crash, and proxy fix in System.Net)
* Tue Apr 11 2006 - wberrier@suse.de
- Branch update for iFolder issues.  Also includes some semaphore
  updates, as well as SWF updates. (77931,01234,77931,01234,77991,
  77556,77811,77350,75609,78028,77971,78033,77242,76191,41943,77890,
  78067,78067,78067,77514,77839,77393)
* Mon Apr 10 2006 - cthiel@suse.de
- remove redundant Conflicts lines (#159340)
* Mon Mar 27 2006 - aj@suse.de
- Apply patch from Dick Porter to Break out of a loop if the
  shared file is smaller than expected - this fixes some build
  issues.
* Sat Mar 25 2006 - wberrier@suse.de
-Update to 1.1.13.5 (No crypto changes)
 -C# compiler bug fixes for Bugzilla.ximian.com bugs: 77767,
  77642, 77583, 77674, 77642 as well as fixing a number of
  nullable bugs (gtest-254, gtest-251, gtest-250) fixed
  compilation bugs for C5 library.
 -Sqlite bindings now has a way of specifying the default
  encoding and defaults to UTF-8 instead of using ANSI.
  Versions between Jan 20 and this release stored data always in
  ANSI format which could not be read back.
 -System.Web: invoke validation callbacks in HttpCachePolicy
  (77825); fixes OutputCache's VaryByParam="*" (77757); fix
  Cache-Control header handling (77825); Fix POST filename
  encodings (77714);  Allows setting custom Cache-Control
  headers (77775).
 -System.Web/HtmlControls fixes from Mainsoft: fixed
  Anchor.RenderAttributes, Form.Method fixed to include "post"
  if needed; InputImage fixed to cope with SetAtt.
 -System.Web's SessionState: session state will retry
  reconnecting to the database if the connection is lost
  (77785).   Dispose the data reader to avoid leaks (77698);
 -System.Web Javascript, hide validators view (77261).
 -System.Web's/WebControls: Use naming container instead of
  pages to locate controls (77793);   Fixes rendering of
  ListBoxes (77740);
 -System.XML.Schema: fix return value on the XML Schema
  (77685).
 -XmlSerialization: consider subtypes (77447), ignore element
  namespaces when using Unqualified mode (75019).
 -IO-Layer: close redirected pipes on errors (77514), Shell
  Execute, avoid crash (77393);  Delete semaphores on last exit
  (City of Largo request, problem happens in clusters, direct
  communication, no bug#).
 -WebConnectionStream: avoid async calls when writing zero
  bytes (iFolder CPU consumption issue).
 -HttpWebRequest: fix close semantics (77753)
 -UpdClient: fix IPV6 family check (77689).
 -System.Data fixes: Fixed 77557, 77776 and enabled tests
  that were previously disables, add new tests.
 -System.Data: Fixed endianess bugs reported on PPC and
  SPARC.
 -Runtime: Updates for LocalDataStoreSlot to prevent the
  Beagle leak from happening; Fixed crasher bug in class
  libraries (77772).  Fixes 77504 in generic libraries; Fix
  Stream bug 77863; Reflection fix for 74937; Stat-usage fixes
  (77759, 76966); public-key-token casing (77898); Codebase
  return fix (77877); fix two ia64 crashes (77774, 77787);
  Handle null in Equals (77700); backport memory corruption fix
  (no bug number);
 -Tracing: Fix crash in StringBuilders when tracing (77848);
  disable output always 77706.
 -S390x: Use long-displacement if the CPU supports it.
 -Patch from Tambet at ZenWorks team to reduce memory
  consumption in remoting, shaves a few megabytes on RPC calls.
 -System.Drawing/Windows.Forms: Bring code from trunk (these
  are unsupported libraries).
 -Mono.Security: several fixes to the async stream handling
  in SSL: implement a ClientSessionCache, redo the async
  processing of requests as they were previously hanging iFolder
  (77663, 67711).  There were no changes to the crypto code.
 -Upgraded C5 test suite to 1.0 release from upstream.
 -Updated debugger API.
 -Added tests for bugs fixed.
 -Fix: s390 and s390x will enable the JIT without special
  flags (before we needed --enable-jit).
 -Prj2Info escapes now characters in filenames that contain
  special shell characters.
* Wed Mar 01 2006 - aj@suse.de
- Remove echo in %%post.
* Wed Mar 01 2006 - wberrier@suse.de
- Update to 1.1.13.4
 -Fixes the following bugs: 77524 77581 75479 77637 77613 77446 77433 77398 77397 77315 75436 75479 77521 77536 77572 77468 77371 77273 77309 74932 77442.... too many to list here.
* Sat Feb 18 2006 - ro@suse.de
- use wildcards in filelist (.mdb files moved to debuginfo package)
* Thu Feb 16 2006 - wberrier@suse.de
- have winforms rpm depend on libgdiplus (Novell Bug #150858)
* Thu Jan 26 2006 - ro@suse.de
- warn if installing on s390/G5
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 - wberrier@suse.de
- Update to 1.1.13.2 (no crypto updates)
* Thu Jan 12 2006 - wberrier@suse.de
- Update to 1.1.13.1 (no crypto updates)
  Fix for CASA
* Fri Jan 06 2006 - wberrier@suse.de
- Update to 1.1.13 (No crypto updates)
  FireBird 2.0 gac file was disabled
  Added nunit-console to filelist
* Fri Dec 23 2005 - wberrier@suse.de
- Add some of Zoltan's ia64 fixes to fix the runtime (no crypto updates)
* Fri Dec 23 2005 - wberrier@suse.de
- Update to 1.1.12.1 (ziplib fix, no crypto updates)
* Thu Dec 22 2005 - wberrier@suse.de
- Add patches fro Neale's s390 checkins (No crypto updates)
* Wed Dec 21 2005 - wberrier@suse.de
- Fix mono-cairo.pc for gtk-sharp2 build on x86_64
* Tue Dec 20 2005 - wberrier@suse.de
- Update to 1.1.12, monoburg warning patch
* Fri Dec 16 2005 - ro@suse.de
- add an explicit cast on ppc for InterlockedCompareExchangePointer
* Thu Dec 15 2005 - wberrier@suse.de
- Update to 1.1.11, add files for 1.1.11, and enable some files (libmono.l?a)
* Mon Dec 12 2005 - sbrabec@suse.cz
- Added "Obsoletes: mono" to mono-core.
* Fri Nov 11 2005 - wberrier@suse.de
- Fix build (supportw.c)
* Fri Nov 11 2005 - wberrier@suse.de
- Update to 1.1.10.  Add profiler-aot, mozroots
* Thu Oct 20 2005 - ro@suse.de
- try to fix req/prov scripts
- remove AC_DISABLE_FAST_INSTALL to fix installed binaries
- do not build as root
* Thu Oct 13 2005 - ro@suse.de
- take fix for gacutil problem from SVN
- remove workaround hack from specfile
* Wed Oct 12 2005 - ro@suse.de
- fix some lib64 issues
* Wed Oct 12 2005 - wberrier@suse.de
- Update to 1.1.9.2, restructure packages to match upstream
* Mon Sep 26 2005 - ro@suse.de
- fix build on x86_64
- move mono-nunit.pc to mono-nunit package
* Fri Sep 23 2005 - wberrier@suse.de
- Reenable 2.0 preview (bug #118530)
* Fri Sep 16 2005 - wberrier@suse.de
- Nasty work around hack for libtool in order to not include wrappers (#116245)
* Fri Sep 09 2005 - ro@suse.de
- fix build on 9.1+
* Tue Aug 23 2005 - wberrier@suse.de
- Add the mono-nunit subpackage (needed for mono-tools)
* Tue Aug 02 2005 - ro@suse.de
- update to 1.1.8.3
* Fri Jul 15 2005 - wberrier@novell.com
- Update %%file directives for SymbolWriter
* Mon Jun 27 2005 - ro@suse.de
- use ldscript only for "libmono" but not for "mono"
* Wed Jun 22 2005 - ro@suse.de
- fix more warnings on ppc
* Wed Jun 22 2005 - ro@suse.de
- update to 1.1.8.1
* Tue Jun 21 2005 - ro@suse.de
- revisit execstack : pass with "-Wl" as linker flag
* Tue Jun 07 2005 - uli@suse.de
- s390: moved __attribute__((packed)) where it is not ignored by
  the compiler (fixes SIGILLs/SIGSEGVs in several packages)
* Sat May 14 2005 - aj@suse.de
- mono-data-* needs mono-data.  Require it explicitely.
* Fri May 13 2005 - ro@suse.de
- fix assembliesdir in libexecdir patch again
* Thu May 12 2005 - uli@suse.de
- update -> 1.1.7
- disabled s390x (port is broken and unmaintained)
* Tue Mar 22 2005 - mmj@suse.de
- Add dependency for mono-devel on glib2-devel [#74161]
* Wed Mar 16 2005 - gekker@suse.de
- Add mono-sys-web.patch and mono-leak-fix.patch for mono team
* Fri Mar 11 2005 - gekker@suse.de
- Add mono-libgc-finalizer-fix.diff for the mono team
* Fri Mar 11 2005 - uli@suse.de
- s390* workaround (build with -O1)
- fixed a bunch of (harmless) warnings to appease autobuild
* Thu Mar 10 2005 - gekker@suse.de
- add mono-sqlite2-config.patch (71844).
* Tue Mar 08 2005 - gekker@suse.de
- add mono-mini-threadfix.diff, to fix random crashes in mcs
* Tue Mar 01 2005 - gekker@suse.de
- remove sqlite2-devel crack from requires for mono-data-sqlite
* Mon Feb 21 2005 - clahey@suse.de
- Update to 1.1.4.
* Sun Feb 20 2005 - ro@suse.de
- expand configure macro (not always correct for old distributions)
- more hacks to java path
* Sun Feb 20 2005 - ro@suse.de
- changed java path
* Sat Feb 19 2005 - ro@suse.de
- fix build for older distributions (without jni)
* Thu Feb 17 2005 - gekker@suse.de
- Add requires to mono-data-sqlite for sqlite2 and sqlite2-devel
* Tue Feb 15 2005 - gekker@suse.de
- add -z execstack to LDFLAGS (50536)
* Mon Feb 07 2005 - ro@suse.de
- fix mono with exec stack protection
* Wed Feb 02 2005 - ro@suse.de
- fix mono-provides
* Mon Jan 31 2005 - gekker@suse.de
- fix a directory ownership problem
* Mon Jan 31 2005 - ro@suse.de
- fix build on lib64 (again ...)
* Mon Jan 31 2005 - ro@suse.de
- fix setup line in spec file
* Mon Jan 31 2005 - clahey@suse.de
- Split into separate packages.
* Thu Jan 13 2005 - ro@suse.de
- update to 1.1.3
* Mon Nov 29 2004 - ro@suse.de
- THREAD_LOCAL_ALLOC is not possible on ppc, don't force it
- extended 64bit-warning patch some more
- configure "with-jit=yes" as in sles9
* Fri Nov 12 2004 - ro@suse.de
- update to 1.1.2 devel branch
- added hacks to use libexecdir (always /usr/lib/mono)
  (but mcs still doesn't use it)
* Thu Sep 16 2004 - ro@suse.de
- updated to 1.0.1 bugfix release
* Fri Jul 02 2004 - ro@suse.de
- updated 64bit-warning patch (from clahey)
* Fri Jul 02 2004 - ro@suse.de
- update to 1.0 version
* Tue Jun 29 2004 - mls@suse.de
- use find-requires and find-provides from rpm
* Mon Jun 21 2004 - clahey@suse.de
- Updated to 0.96.
- Added find-requires.mono and find-provides.mono.
* Thu Jun 10 2004 - clahey@suse.de
- Don't include wine stuff.
* Wed May 26 2004 - clahey@suse.de
- Require icu and libiuc26.
* Tue May 25 2004 - clahey@suse.de
- make clean before make to remove incorrectly disted file.
- As long as we're conflicting with pnet-compiler, we shouldn't
  move ilasm to milasm as that messes things up for mono and isn't
  necessary.
* Tue May 25 2004 - adrian@suse.de
- fix permissions of -devel package
  (Requires base mono package and conflicts with pnet-compiler)
* Mon May 24 2004 - clahey@suse.de
- Don't try to include wine files on non x86 platforms.
* Fri May 21 2004 - clahey@suse.de
- Updated to 0.91.
* Tue Apr 20 2004 - uli@suse.de
- ditch JIT runtime on PPC as it does not work properly yet
- add winelib on x86 to allow use of Win32 APIs as provided by WINE
- require libgdiplus
* Mon Apr 19 2004 - uli@suse.de
- update -> 0.31 as reqd by gp
* Wed Feb 18 2004 - uli@suse.de
- update -> 0.30.1 as reqd by gp
* Mon Feb 09 2004 - uli@suse.de
- fixed to build on s390
* Thu Feb 05 2004 - uli@suse.de
- update -> 0.30 (proper fix for Write/WriteLine problem,
  obsoletes several patches)
- build libgc/finalize.c with -fno-strict-aliasing
* Wed Feb 04 2004 - uli@suse.de
- renamed ilasm to milasm to avoid conflict with Portable.NET
* Fri Jan 30 2004 - uli@suse.de
- removed incompatible System.Console.Write/WriteLine methods to
  make mcs-compiled binaries work with Portable.NET and MS.NET
* Wed Jan 28 2004 - uli@suse.de
- disable exception tables, do not work with glibc 2.3 yet
- build class libs and tools from source (not on PPC, fails with
  null pointer exception)
- compat link for archs without JIT
* Mon Jan 26 2004 - uli@suse.de
- initial package
